---@meta

---@class UWG_PlayerHUD_C : UCommonActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WG_WinchBar UWG_WinchBar_C
---@field WG_ShieldBar UWG_ShieldBar_C
---@field WG_PlayerThrowingStrength UWG_PlayerThrowingStrength_C
---@field voipActionWidget UCommonActionWidget
---@field VoiceText UTextBlock
---@field voiceImage UImage
---@field Vehicle_Health UWG_StructuralDamageBar_C
---@field ThanksForPlaying URichTextBlock
---@field SteamLogo UImage
---@field SaveGameIndicator UWG_SaveGameIndicator_C
---@field RichTextBlock_678 URichTextBlock
---@field RichTextBlock_10 URichTextBlock
---@field RichTextBlock_9 URichTextBlock
---@field RichTextBlock_8 URichTextBlock
---@field RichTextBlock_7 URichTextBlock
---@field RichTextBlock_6 URichTextBlock
---@field RichTextBlock_5 URichTextBlock
---@field RichTextBlock_4 URichTextBlock
---@field RichTextBlock_3 URichTextBlock
---@field RichTextBlock_2 URichTextBlock
---@field RichTextBlock_1 URichTextBlock
---@field RichTextBlock URichTextBlock
---@field QuitToMainMenuButton UWG_MenuButton_C
---@field PlayerNickname UTextBlock
---@field PlayerModifierHolder UHorizontalBox
---@field Player_Health UWG_StructuralDamageBar_C
---@field Parts UTextBlock
---@field NotificationText UTextBlock
---@field Names_2 URichTextBlock
---@field Names_1 URichTextBlock
---@field Names URichTextBlock
---@field LookAtObjectName UTextBlock
---@field Image_169 UImage
---@field Image_3 UImage
---@field Image_2 UImage
---@field Image_1 UImage
---@field Holder_PickedUpPlayerInteractions UVerticalBox
---@field Holder_LookAtPlayerInteractions UHorizontalBox
---@field GameFailedText UTextBlock
---@field EpiPens UTextBlock
---@field Crosshair UImage
---@field CreditsText URichTextBlock
---@field CreditsBorder UBorder
---@field CommonActionWidget_172 UCommonActionWidget
---@field CommonActionWidget_4 UCommonActionWidget
---@field CommonActionWidget_3 UCommonActionWidget
---@field CommonActionWidget_2 UCommonActionWidget
---@field CommonActionWidget_1 UCommonActionWidget
---@field CommonActionWidget UCommonActionWidget
---@field CheckpointText UTextBlock
---@field CaptionText URichTextBlock
---@field CaptionHolder UBorder
---@field FailAnimation UWidgetAnimation
---@field CheckpointReachedAnimation UWidgetAnimation
---@field NotificationAnimation UWidgetAnimation
---@field SaveAppearAnimation UWidgetAnimation
---@field RollCredits UWidgetAnimation
---@field Vehicle ABP_VehicleBase_C
---@field Player ABP_FirstPersonCharacter_C
---@field bAllowHidingOfSaveIcon boolean
---@field bSaveComplete boolean
---@field CreditsMusic UAudioComponent
local UWG_PlayerHUD_C = {}

function UWG_PlayerHUD_C:CacheVehicle() end
---@param Progress double
---@param Show boolean
function UWG_PlayerHUD_C:UpdateThrowUI(Progress, Show) end
---@param PlayerModifier FGameplayTag
---@param Duration double
---@param Success boolean
function UWG_PlayerHUD_C:AddPlayerModifier(PlayerModifier, Duration, Success) end
function UWG_PlayerHUD_C:PollVehicleHealth() end
---@param NotificationText FText
function UWG_PlayerHUD_C:AddNotification(NotificationText) end
---@return FUIInputConfig
function UWG_PlayerHUD_C:BP_GetDesiredInputConfig() end
---@param CheckpointIndex int32
function UWG_PlayerHUD_C:CheckpointReached(CheckpointIndex) end
---@param PlayersDead boolean
---@param VehicleDestroyed boolean
function UWG_PlayerHUD_C:GameFailed(PlayersDead, VehicleDestroyed) end
function UWG_PlayerHUD_C:UpdateInfo() end
function UWG_PlayerHUD_C:Finished_FE0ADE654A05C902C6DFD5AC05731DB6() end
---@param MyGeometry FGeometry
---@param InDeltaTime float
function UWG_PlayerHUD_C:Tick(MyGeometry, InDeltaTime) end
function UWG_PlayerHUD_C:Construct() end
---@param NewShieldValue double
---@param Repair boolean
---@param NewShieldHealth int32
---@param NewDamageTypes TArray<FGameplayTag>
---@param NewDamages TArray<int32>
function UWG_PlayerHUD_C:UpdateVehicleHealth(NewShieldValue, Repair, NewShieldHealth, NewDamageTypes, NewDamages) end
function UWG_PlayerHUD_C:CustomEvent() end
function UWG_PlayerHUD_C:SaveNotification() end
function UWG_PlayerHUD_C:AllowHideSave() end
function UWG_PlayerHUD_C:OnSaveCompleted() end
---@param NewDamageTypes TArray<FGameplayTag>
---@param NewDamages TArray<int32>
---@param Repair boolean
---@param Instant boolean
function UWG_PlayerHUD_C:UpdatePlayerHealth(NewDamageTypes, NewDamages, Repair, Instant) end
function UWG_PlayerHUD_C:CreditsRoll() end
function UWG_PlayerHUD_C:ReturnToMenu() end
---@param Button UCommonButtonBase
function UWG_PlayerHUD_C:BndEvt__WG_PlayerHUD_QuitToMainMenuButton_K2Node_ComponentBoundEvent_0_CommonButtonBaseClicked__DelegateSignature(Button) end
function UWG_PlayerHUD_C:Confirmed() end
---@param Widget UCommonActivatableWidget
function UWG_PlayerHUD_C:QuitToMainMenu(Widget) end
function UWG_PlayerHUD_C:GoToMenu() end
---@param PlayerInteractionsLookAt TMap<UInputAction, FText>
---@param IMC UInputMappingContext
---@param LookAtDisplayName FText
function UWG_PlayerHUD_C:CustomEvent_0(PlayerInteractionsLookAt, IMC, LookAtDisplayName) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function UWG_PlayerHUD_C:PickedUpText(PickedUpPlayerInteractions, IMC) end
---@param EntryPoint int32
function UWG_PlayerHUD_C:ExecuteUbergraph_WG_PlayerHUD(EntryPoint) end


